Пингвиньи радости

Mini web-сервер для печати чеков на фискальных регистраторах из мобильных приложений через HTTP запрос JSON.
Audim
Администратор
Сообщения: 1672
Зарегистрирован: 17 мар 2015, 18:36

Re: Пингвиньи радости

Сообщение Audim » 06 фев 2019, 17:51

Эмулятор ККТ заработает в Linux работает только из под расширения в браузере.
Настройка точно такая-же как и в обычной версии.

Artem
Сообщения: 17
Зарегистрирован: 10 янв 2018, 22:24

Re: Пингвиньи радости

Сообщение Artem » 06 фев 2019, 18:45

Я получается установил расширение в браузере.
у меня Firefox 64.0
расширение собственно далее предложило установить сервер.
скачался пакет deb, я его поставил
сервак вроде как запустился, есть страница настройки,
но список устройств пустой, не вижу там эмулятора...

Artem
Сообщения: 17
Зарегистрирован: 10 янв 2018, 22:24

Re: Пингвиньи радости

Сообщение Artem » 06 фев 2019, 18:56

Изображение

Audim
Администратор
Сообщения: 1672
Зарегистрирован: 17 мар 2015, 18:36

Re: Пингвиньи радости

Сообщение Audim » 06 фев 2019, 22:34

>но список устройств пустой, не вижу там эмулятора...
Так надо добавить устройство "Эмулятор ККТ".....

Artem
Сообщения: 17
Зарегистрирован: 10 янв 2018, 22:24

Re: Пингвиньи радости

Сообщение Artem » 07 фев 2019, 16:21

Всё, разобрался)
спасибо.

Audim
Администратор
Сообщения: 1672
Зарегистрирован: 17 мар 2015, 18:36

Re: Пингвиньи радости

Сообщение Audim » 07 фев 2019, 23:06

Ок

restoranimperia.ru
Сообщения: 18
Зарегистрирован: 04 окт 2018, 02:21
Откуда: SPb
Контактная информация:

Re: Пингвиньи радости

Сообщение restoranimperia.ru » 10 июн 2019, 16:37

Добрый день.
При установке KkmServer.deb на ubuntu 19.04 выдаётся сообщение про ошибку зависимостей:

Код: Выделить всё

$ sudo dpkg -i KkmServer.deb
Выбор ранее не выбранного пакета kkmserver.
(Чтение базы данных … на данный момент установлено 177953 файла и каталога.)
Подготовка к распаковке KkmServer.deb …
Распаковывается kkmserver (2.1.28.10) …
dpkg: зависимости пакетов не позволяют настроить пакет kkmserver:
 kkmserver зависит от liblttng-ust0, однако:
  Пакет liblttng-ust0 не установлен.
 kkmserver зависит от libssl1.0.0 | libssl1.0.2, однако:
  Пакет libssl1.0.0 не установлен.
  Пакет libssl1.0.2 не установлен.
 kkmserver зависит от libgdiplus, однако:
  Пакет libgdiplus не установлен.

dpkg: ошибка при обработке пакета kkmserver (--install):
 проблемы зависимостей — оставляем не настроенным
При обработке следующих пакетов произошли ошибки:
 kkmserver
Я, следуя совету на форуме, ввожу apt-get -f install и получаю:

Код: Выделить всё

~$ sudo apt-get -f install
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Исправление зависимостей… Готово
Следующие пакеты будут УДАЛЕНЫ:
  kkmserver
Обновлено 0 пакетов, установлено 0 новых пакетов, для удаления отмечено 1 пакетов, и 0 пакетов не обновлено.
Установлено или удалено не до конца 1 пакетов.
После данной операции объём занятого дискового пространства возрастёт на 0 B.
Хотите продолжить? [Д/н] д
(Чтение базы данных … на данный момент установлено 178189 файлов и каталогов.)
Удаляется kkmserver (2.1.28.10) …
dpkg: предупреждение: при удалении kkmserver каталог «/usr/lib64» не пуст, поэтому не удалён
Использую Chromium, установил расширение. Оно по-прежнему пишет "Компонента доступа к оборудованию не установлена." и предлагает скачать .deb

Подскажите, пожалуйста, куда копать?

zmiulan
Сообщения: 54
Зарегистрирован: 25 янв 2019, 19:16

Re: Пингвиньи радости

Сообщение zmiulan » 11 июн 2019, 08:11

restoranimperia.ru писал(а):
10 июн 2019, 16:37
Добрый день.
При установке KkmServer.deb на ubuntu 19.04 выдаётся сообщение про ошибку зависимостей:

Код: Выделить всё

 kkmserver зависит от liblttng-ust0, однако:
  Пакет liblttng-ust0 не установлен.
 kkmserver зависит от libssl1.0.0 | libssl1.0.2, однако:
  Пакет libssl1.0.0 не установлен.
  Пакет libssl1.0.2 не установлен.
 kkmserver зависит от libgdiplus, однако:
  Пакет libgdiplus не установлен.
Подскажите, пожалуйста, куда копать?
Установить зависимости?

Код: Выделить всё

apt-get install liblttng-ust0 libgdiplus libssl1.1
контакт для связи - telegram @zmiulan

restoranimperia.ru
Сообщения: 18
Зарегистрирован: 04 окт 2018, 02:21
Откуда: SPb
Контактная информация:

Re: Пингвиньи радости

Сообщение restoranimperia.ru » 13 июн 2019, 02:19

вот отсюда - https://packages.ubuntu.com/ скачал и установил недостающие пакеты:
libssl1.0.0, libssl1.0.2, libcurl3, libcanberra-gtk-module, libcanberra-gtk3-module

Расширение ничего не находит и предлагает скачать deb
Поэтому запускаю вручную:
kkmserver -d

В расширении появилась возможность выбрать localhost:5893
Настроил эмулятор, ошибок нет, отзыв есть.

Возникла проблема работы по защищенному протоколу.
Генерация сертификата должна работать под linux ?

zmiulan
Сообщения: 54
Зарегистрирован: 25 янв 2019, 19:16

Re: Пингвиньи радости

Сообщение zmiulan » 13 июн 2019, 22:01

ответил в теме ниже
контакт для связи - telegram @zmiulan

Ответить